import { OverlayRef } from '@angular/cdk/overlay';
import { Observable } from 'rxjs';
export declare class GrwitDialogRef {
    private overlayRef;
    private readonly _afterOpened;
    private readonly _afterClosed;
    private readonly _beforeClosed;
    afterOpened(): Observable<void>;
    afterClosed(): Observable<any>;
    /**
     * Gets an observable that is notified when the dialog has started closing.
     */
    beforeClosed(): Observable<any>;
    /**
     * Gets an observable that emits when the overlay's backdrop has been clicked.
     */
    backdropClick(): Observable<MouseEvent>;
    /**
     * Gets an observable that emits when keydown events are targeted on the overlay.
     */
    keydownEvents(): Observable<KeyboardEvent>;
    constructor(overlayRef: OverlayRef);
    close(): void;
}
